aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-genshi/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2012-05-24 19:30:51 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2012-05-25 19:36:36 +0000
commit74ef038e5e366539c59c85f8b8b2dc157fd83456 (patch)
treedf167e7449bcfadedda9657ddda8e64027ccc5c3 /main/py-genshi/APKBUILD
parent1352e9b236395ff25a1e9b06f8e0cb0fc5cbc948 (diff)
downloadaports-74ef038e5e366539c59c85f8b8b2dc157fd83456.tar.gz
aports-74ef038e5e366539c59c85f8b8b2dc157fd83456.tar.bz2
aports-74ef038e5e366539c59c85f8b8b2dc157fd83456.tar.xz
main/py-genshi: minor layout changes
Diffstat (limited to 'main/py-genshi/APKBUILD')
-rw-r--r--main/py-genshi/APKBUILD11
1 files changed, 6 insertions, 5 deletions
diff --git a/main/py-genshi/APKBUILD b/main/py-genshi/APKBUILD
index 5ca4543873..7169ef7112 100644
--- a/main/py-genshi/APKBUILD
+++ b/main/py-genshi/APKBUILD
@@ -6,22 +6,23 @@ pkgver=0.6
pkgrel=2
pkgdesc="Python toolkit for stream-based generation of output for the web."
url="http://genshi.edgewall.org/"
-arch="all"
+arch="noarch"
license="BSD"
depends="python"
makedepends="py-setuptools python-dev"
-install=
+install=""
+subpackages=""
source="http://ftp.edgewall.com/pub/genshi/$_realname-$pkgver.tar.gz"
_builddir="$srcdir"/$_realname-$pkgver
-
build() {
- return 0
+ cd "$_builddir"
+ python setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="604e8b23b4697655d36a69c2d8ef7187 Genshi-0.6.tar.gz"